From 923f7ff16466cafed167c7da34ef91c63bd01044 Mon Sep 17 00:00:00 2001
From: Rafael Costa <racosa@users.noreply.github.com>
Date: Tue, 13 Jun 2023 00:46:45 -0300
Subject: [PATCH 1/7] Update README.md (#781)

---
 README.md | 1 +
 1 file changed, 1 insertion(+)

diff --git a/README.md b/README.md
index 82f38933..3e26f8e5 100644
--- a/README.md
+++ b/README.md
@@ -144,6 +144,7 @@ yarn add tesseract.js@3.0.3
 - With React: https://github.com/jeromewu/tesseract.js-react-app
 - Typescript: https://github.com/jeromewu/tesseract.js-typescript
 - Video Real-time Recognition: https://github.com/jeromewu/tesseract.js-video
+- Simple tool for converting PDF to text using OCR: https://github.com/racosa/pdf2text-ocr
 
 React Native is **not** supported as it does not support Webassembly. 
 

From 5a0a3307b9d41e0805432aabdf5346d4aedc0485 Mon Sep 17 00:00:00 2001
From: "Tshetrim (Tim) Lhendup" <49722313+Tshetrim@users.noreply.github.com>
Date: Tue, 13 Jun 2023 02:26:11 -0400
Subject: [PATCH 2/7] Update README.md (#782)

---
 README.md | 1 +
 1 file changed, 1 insertion(+)

diff --git a/README.md b/README.md
index 3e26f8e5..d57571ef 100644
--- a/README.md
+++ b/README.md
@@ -138,6 +138,7 @@ yarn add tesseract.js@3.0.3
 - Custom Traineddata: https://github.com/jeromewu/tesseract.js-custom-traineddata
 - Chrome Extension #1: https://github.com/jeromewu/tesseract.js-chrome-extension
 - Chrome Extension #2: https://github.com/fxnoob/image-to-text
+- Chrome Extension #3 (with Manifest V3): https://github.com/Tshetrim/Image-To-Text-OCR-extension-for-ChatGPT
 - Firefox Extension: https://github.com/gnonio/korporize
 - With Vue: https://github.com/jeromewu/tesseract.js-vue-app
 - With Angular: https://github.com/jeromewu/tesseract.js-angular-app

From eeb08a4f532a878f55fdedb8b7f9273e0165744c Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Mon, 12 Jun 2023 23:36:00 -0700
Subject: [PATCH 3/7] Update README.md

---
 README.md | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/README.md b/README.md
index d57571ef..65408b45 100644
--- a/README.md
+++ b/README.md
@@ -133,23 +133,21 @@ yarn add tesseract.js@3.0.3
 
 ## Use tesseract.js the way you like!
 
-- Offline Version: https://github.com/jeromewu/tesseract.js-offline
 - Electron Version: https://github.com/Balearica/tesseract.js-electron
+- Chrome Extension (with Manifest V3): https://github.com/Tshetrim/Image-To-Text-OCR-extension-for-ChatGPT
+- Converting PDF to text: https://github.com/racosa/pdf2text-ocr
+
+The following are old examples that use depreciated versions of Tesseract.js.  Updating to Tesseract.js v4 is highly recommended.  Users are encouraged to create updated examples (or make entirely new ones) and submit them as pull requests. 
+- Offline Version: https://github.com/jeromewu/tesseract.js-offline
 - Custom Traineddata: https://github.com/jeromewu/tesseract.js-custom-traineddata
-- Chrome Extension #1: https://github.com/jeromewu/tesseract.js-chrome-extension
-- Chrome Extension #2: https://github.com/fxnoob/image-to-text
-- Chrome Extension #3 (with Manifest V3): https://github.com/Tshetrim/Image-To-Text-OCR-extension-for-ChatGPT
 - Firefox Extension: https://github.com/gnonio/korporize
 - With Vue: https://github.com/jeromewu/tesseract.js-vue-app
 - With Angular: https://github.com/jeromewu/tesseract.js-angular-app
 - With React: https://github.com/jeromewu/tesseract.js-react-app
 - Typescript: https://github.com/jeromewu/tesseract.js-typescript
 - Video Real-time Recognition: https://github.com/jeromewu/tesseract.js-video
-- Simple tool for converting PDF to text using OCR: https://github.com/racosa/pdf2text-ocr
-
-React Native is **not** supported as it does not support Webassembly. 
 
-Disclaimer: These examples are now several years old and use old versions of both Tesseract.js and the relevant frameworks.  Users are encouraged to use the latest version of Tesseract.js rather than the versions used in these examples.  For users that update these examples (or make new ones), please consider contributing through a PR.   
+React Native is **not** supported as it does not support Webassembly.
 
 ## Contributing
 

From f346717293ad0dc4c25e456b7f5d537edd586f47 Mon Sep 17 00:00:00 2001
From: Richard Solar <solar.richard@gmail.com>
Date: Thu, 15 Jun 2023 02:20:59 +0200
Subject: [PATCH 4/7] feat(index.d.ts): add type for logger args (#778)

---
 src/index.d.ts | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/src/index.d.ts b/src/index.d.ts
index d4404b32..43025f29 100644
--- a/src/index.d.ts
+++ b/src/index.d.ts
@@ -43,6 +43,15 @@ declare namespace Tesseract {
     load_number_dawg: string
     load_bigram_dawg: string
   }
+  
+  type LoggerMessage = {
+    jobId: string
+    progress: number
+    status: string
+    userJobId: string
+    workerId: string
+  }
+  
   interface WorkerOptions {
     corePath: string
     langPath: string
@@ -52,7 +61,7 @@ declare namespace Tesseract {
     cacheMethod: string
     workerBlobURL: boolean
     gzip: boolean
-    logger: (arg: any) => void,
+    logger: (arg: LoggerMessage) => void,
     errorHandler: (arg: any) => void
   }
   interface WorkerParams {

From 42c8b3631b26fb7af110e446f04662db7e3fa4c0 Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Thu, 15 Jun 2023 13:49:07 -0700
Subject: [PATCH 5/7] Update README.md

---
 README.md | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/README.md b/README.md
index 65408b45..dee50a29 100644
--- a/README.md
+++ b/README.md
@@ -14,7 +14,8 @@
 [![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/naptha/tesseract.js/graphs/commit-activity)
 [![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
 [![Code Style](https://badgen.net/badge/code%20style/airbnb/ff5a5f?icon=airbnb)](https://github.com/airbnb/javascript)
-[![Downloads Month](https://img.shields.io/npm/dm/tesseract.js.svg)](https://www.npmjs.com/package/tesseract.js)
+![npm](https://img.shields.io/npm/dm/tesseract.js?label=npm%20downloads)
+![jsDelivr hits (npm)](https://img.shields.io/jsdelivr/npm/hm/tesseract.js?label=jsdelivr%20hits)
 
 Tesseract.js is a javascript library that gets words in [almost any language](./docs/tesseract_lang_list.md) out of images. ([Demo](http://tesseract.projectnaptha.com/))
 

From 3e60bf4748b1f4a9e4f579829ad40572d1d57e8a Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Tue, 20 Jun 2023 19:21:32 -0700
Subject: [PATCH 6/7] Fixed orientation metadata detection and added unit tests
 per #783 (#784)

---
 src/worker-script/utils/setImage.js |   2 +-
 tests/assets/images/simple-180.jpg  | Bin 0 -> 5927 bytes
 tests/assets/images/simple-270.jpg  | Bin 0 -> 5937 bytes
 tests/assets/images/simple-90.jpg   | Bin 0 -> 5107 bytes
 tests/recognize.test.js             |  14 ++++++++++++++
 5 files changed, 15 insertions(+), 1 deletion(-)
 create mode 100644 tests/assets/images/simple-180.jpg
 create mode 100644 tests/assets/images/simple-270.jpg
 create mode 100644 tests/assets/images/simple-90.jpg

diff --git a/src/worker-script/utils/setImage.js b/src/worker-script/utils/setImage.js
index 354521f1..f60d4c3b 100644
--- a/src/worker-script/utils/setImage.js
+++ b/src/worker-script/utils/setImage.js
@@ -11,7 +11,7 @@ module.exports = (TessModule, api, image, angle = 0) => {
   // Check for bmp magic numbers (42 and 4D in hex)
   const isBmp = (image[0] === 66 && image[1] === 77) || (image[1] === 66 && image[0] === 77);
 
-  const exif = image.slice(0, 500).toString().match(/\x01\x12\x00\x03\x00\x00\x00\x01\x00(.)/)?.[1]?.charCodeAt(0) || 1;
+  const exif = parseInt(image.slice(0, 500).join(' ').match(/1 18 0 3 0 0 0 1 0 (\d)/)?.[1], 10) || 1;
 
   // /*
   //  * Leptonica supports some but not all bmp files
diff --git a/tests/assets/images/simple-180.jpg b/tests/assets/images/simple-180.jpg
new file mode 100644
index 0000000000000000000000000000000000000000..344fcf299e9b018bbeca5f153bf27c029f277b45
GIT binary patch
literal 5927
zcmeHLSx^($whbZ(sIAB(2zmtpnHyzPhN}p4z=Q@8P)MLbkPcxUB|+$JQ4s}&0C_Sh
zQ%C}#4Tczoa9adqP=t^~f(bGNNPsYh86Ng~b?^JRRqws8`*GK)+O_JOz1G=hf1Fcw
z_CD`@1sr#A0y+UCBn|+y_Xl8a6cFfm2XPw!0D%Dd002M+ASH1EAi2*ZzC{T&fYhHH
z0C15w^>^+easD4U2NeFBOYCR<7xta^^?+|X03`N?0S*Ak1K;p1O77#J^uceCk(QQ{
zmX(o{la-N`l{<3mh}_}t4$I0Ol|TC3vE#?(kINl7p>X23!ahI#%|zmxQu3h8zVP^A
z*~9y@|3~co4InQAcrEc)NeOwt0eJ~Yd5OJu0FC`p_sf#_NBMw5G6$q3B&80@?k}4i
z2S`XBJa9ll@_>|t?4Re8I3RgYO8Sue2^od6vYMufO3D|mxCdxyUv#(@6!Vfy*;lFU
z+wEKa56?ecq@?%PtoAqmW_R$Qq_otx_U<?7fV||vv!*AmC}_F|NGV>3z8d(ewAML~
z>{m*^<^0ia=6UO7*&YXQL~_4Wc}aPIJz&T4PvO7AzjOx<`BV7{byM5F#Exvs2i<&r
z?w9{vxsq8|l)am0gc4)lHGD8I7yCDc4^n%Q1t4!JTdD9M$Z~93dGf;5^#XC-c`>p7
zMs>A_kdaubzS3orQ45cmnWc`9iHNE^v)JE|9y6!t?6<Sx2n=MSk#C7$Wls7buoD|z
zj~JImg5j^wcAs0jXYw7Muq({#sGjZW?>RmX%2vc$8_twFe)1~y&<{7dsvp>=O|ZVY
zV`AGgEgN065UmLfcbjTS3}wBb^@4%P*X2iYkPn$k<kXOamigT0rh#Y$ubJc~wM9Q_
zh+kdOV1gN`GI)`}f*}Q}BLx{5?;f3vdpv_87!>elx-A!O=bK>Kvu>V3o~tP1iPtc`
z3BJ|5;q#*Y)JMx%k!pU9O8T6JjMk>t+?e4MTwBnxNk`G+2*@-M%y@~htf(y+)+W2S
zRQpie^(&r{lQhGQWh*Jk*JeYZN(y;b=R7x5oi05!@dhPs=5=s}-~?)q`)09{p!Lb)
zlA{AuL3|Hzsfj~jOl~IHYOwi!zbtZBzK<}%TzSfbVJJpts!)x%deI)hvmd0MV_|n=
zLTun(jLAw`H(rRjlVY9}QODduvDh%5#@Alt_K5`s^&_`+Yzq#*)EG|=<$kE4-qu!*
zB`m8Q$?DN!nU~~!bZ*ns)bBI|U&~P`(>DRCv7;vZtRPdyHvK)iGBGq*BC<6ETzWL3
z&=-3<?RQ5voi3tVAruYeMzQr~1=$+&LetSK+XyO5RQQ(no`k&Qpl-q05UL7MuXd-k
zejT{dla1Q);Z0}M%$DjrAMMKWOk-MEDmQVaL|6@%aRl*o_u#m`AQ9oZl0y-Pd*T{F
zK3<Rdj(&``efY$8*+y*-;E?=^drREU?!TVXW{?E&Q!l;mtV!`{Hh{6s-IbJ%e6Dw}
zLA}@m43SnCRi*V_P1xJ*HVSu^^iwy*xHh+XuLABRn<Cd}Wb>3}PxSR$XT#xr2MNK-
z4u|no_g`PMC5S2hT56p*FM>FbhTnlSAjSuc46(%>7hLlP>DbN9*jbNC72F1K309u6
zuu1PiwWKGs3LQorspl|C)jV-0tKECk5-8Q!h_VlfXs(1sT`KNh-UG;=^NL;`ewq{8
z;S;QzeOI63OE<ZX-XwW)>H?!$H7dUoQHNU+YnyOwzT5~9O{bszCQH`h)B9xuM`f*}
z>hUwEyS~cVD@&S&ky+QEz{}!LQ`PPk*kGtWO+Li!5D^i;n}0xz2wxzgBZI-bccI!#
z4fSEnxfTwuF)1>H>^<wOhW-$FlFIvW)&Mf+;`?Fo^*kY5v0<}YPdl@<_tkFI$pOb}
z8(tKsyEPOn59!0$n7WvjaAD|Hx7M;`21zw88XT2>tpT>%GE*>@tTTY7q<F=z0u~SX
z-p(u7GT~YXefjjbD&lV?zcrBclW3#;^gCyhL1^z>G<3QK0!f5AnoV`uUU1VSdczvG
zjMioe97H8Z@uz~p#*TT)LX&M_1=B8q2I9oi!k?ZuGtTM^PxAXTlwauBu+E~h)|sn0
z-cGg7=zxr3GSKkntk9aw&{vl&^T1ub0gnd*HlFytCCzz`2MgCmeTnhFS2;*!{{v{(
zMjX{<Gm6>hO}(sf$-BGnOmlic1J*5!cz2h?8wqwi(Ppddd27o(_y>KhEN7<-F(n8I
zO`p<??fav6DlO)YN8HZVa@%N2AtEAQR14od!n0R0F=B3QZTcf8i{Td$oXa5x2G+xG
z|1p%<H?+7Zdp4u2euV*viz8cDG1!Msukz<Zlg;l;O{Hy^J18#cS&<YXXK8vK;HXZX
zTP3<>4=}nE9tF8jrtEg2jO<ii(8^U=2x-q({Yt*YHAl{V<g3V9_2eexAO9yewWNw=
zJ+vjy8f^X722EGI`^HXi#jw4bx|`0c+nWPj^=3vL%kEL6Rv&&);$yfi>`4}s=HAPr
zRJVM7w_4YBl8??Nuq<}KHne!!uGY&$YdSq&=z^!JM!Um7IwFtdBo$ACKWt0~Mn55w
ze^2u=*MGx^sbEir`<LC-1B3jgChBIpCh8uJwB;^bLAX--e-6OiW2ndN0bV|2v7FM2
z)t-#cjapqBPuo6u(M>sWs80dh{M6z(0p3_R{;K@og|_kftg=m(AsgL<LocjN#eDwo
zYk;|GyxreQkCTD99s{*URB*#%@yU>G67)VrZsgW2zR0h70t{<CqYt-Q&oC_!8Z+lX
z1j_Wx?G5Cu^ptsGc?1cGBuugI@2I?l?!H*b9eH=!irWI(3AW(Xw=3=e9+EAId2^22
zW%?cM{#%|~8p!Pt3D$_L<1P`Odb?{qv^DdmwFmywg9(O|CVAGvEU^O-N#SS|_C-{d
zy<wFPYbVFqmi&ILnb3H?XwueQUX4x5Aa+x8$Blw=wK0iGe0ul9HjzmKTK0@K<hYoA
zG5z@cX0QRaIX94+La;S!(hY4aW{zmgc_sVzozaT!mCG-|s^&0*>fSKicV2(uPGrJX
zopd?u*4H0nG*gncQ@-2PsT)JVGLxnrM5NT#WDA6A(TF<Vm`PBh898;-r<ywP;M&V+
ztb@>X&U|1d^oe)yk0$q2y`Qb;XEpZ={14YWe_}1gnL6qe;E5fs72H@Ua5ANskuQ!I
z{wR)#7o}I%&9JH3oGyoBo#qAib*&xD8hot=?g^fhbnjNIgMEqDMe_N$QJ-)_g4~TQ
z5jEV}jJi$Q{@`dpFs44B+w+=3`x9CaIsWHKi9t1lH!S+Eb>Zq4`ZQ?)I8pk%uV<QL
zj5!o-a&+pRv{m=bdSOtm-%Z*INfYmc6`Ufmy#}bbb7PBRZPJ`hrBlf*!{NKNI~$zM
z9~?TuI)*|yDZ!JhYW$L%Yw#-N!*3-Cjr#4sWxa&U*;Y?DdYkq_N57cZAMQL<Zgb3Y
z3v|>bcz|bfyp@j~*s%mNd?N^b_U%5YL+s)<yq-`SUQug4^BSv8ShWi~^*(c>A&x?O
zqss{GjAdbmk@)H9o3CmHS5COcOd6(E<`mN#G|MrBS61T-4?w5!);0wptq{y`3%v<G
z$K~L4(Kvc-$}xin_+3TOdZw;&X()sp?;7mu>}N9#8}E9GgO(q9**tJlq^$mtH2?U*
z>^y6jpHWZ+&SlE6>QM37%k}l{f`yFq$(`~e<ww2S<1qI+k6@y!nQvLv5P!uADwY^i
z#k?G|j!(V}EA_e_{iM_biT^SX9;?Ct>Ar=Zf)llIYb4iPkq=0Bf|T75SP1U<xnwb*
z=@Uq!V<e_xZW@n&SxD${dg`?YprMGHQBPw`j`}Qh>O6hhmZukpSu*d0DHdDN)qfJ_
zvnMMR$4bAyv1+vx)TXQ2VL&hux?{nD1xA6dQLTPVH0Fuz|KpOeOu(InHGbKD4?i^(
zjrhC9YeR;gys0KtVG{L{njhnHe=0dCh?+L1-?(a^mIp)7Jdn#4b^Ug^I33b;?&+&+
zWabBwIX!PNwC`2qT9F6x!DYxWQ#-@O0Hu%C!*kui)g7p@N8RtxcJg@koWluJ<ieaq
zl~Eix{Hi%QRJN)~XIzKsl0#fpv8+bTfo1E=v{Wq7-IEMARt1JH65)N*E;iRC1<^zA
zEMlhYOs?R``o!A1l0?C>++m92B<ERK-;u8C?_!(}t50dR=1xMLR-qH68O=HC@ahpT
z%-mQwAu?zITBc-(BYf8uKDQ@dMYtjY-}BYtgyyQ2ZxI!FI}qZu?lFRcyNziNc9-6_
z2l({Ms@W+A+tgv~mg<RJ`yciIOWJ#Y-pB4gyNN+6ecR2cn=ij6o9x~@u${g8euS9%
zE@-P&bhq<G$Uk`z0Dv0RV~lwSKS?`0!I7LmNzsdH?7D;hTV?kIEEG7A7lKN`;^G27
zPPsDAxwUw2-o>GcFoV`_=npRmqla2@(7T}{j0G0+V~N2bXYbN-fsmI2RoaCD;T)jL
zT66O=0>h&2FUbjyFW<WmadnuPY<15t+H?2I5LeOkeID<fD7zef#^1X;itnGM$8@ry
zA0OAgkq@)E3wLoVYl<5gq$L}mH3X-+7Int<07;`0DG>&ht7w|X7To`QJuXPmq{m)5
zLHS+pqI#Xg@TmuzoL+H(An`?Y@7JuysxM+o1p0H?E-X~=!`vS>4YNW`WZ23x7uGp8
zgINFTkbw0Nm*$>KA(zq=N$Yrc=2v_N8Mp!wc~62EKzrv1@#r~_YH8X@;{Y97)V;8|
zqFCeKhsrvqdJU~z@g|8GC)xG4NTsaWV)Twslo>-)$QzYEQ9XA*uxm0pw<u^W7gZRc
zw+Ap@!3H%D^Hvy(+Ez&rBEdiqVe0OI+`z~3xFmzre!t5z{u+xJMUj5}UX8BBE^MAL
zRi6s|V$94KbcR5B=O@u`ppa1WbW%*YCwbYWZA&23`GPa{<<IM21%o>yMpRlD*)r>7
zU~YgCP#YK>DH24^=2Yak+cE_6q@icL$V=mK5qAR|QflvZlRMM+JrNB?up;#Bu)_+Q
zv~At<S;F*mR=H35AiLD0H)s*3#1e8Kd~dK{T`C(p8Q%Ok+R!S$*y3xRlWiGZ-*4DY
zyoP3KHw5uCe!_x+Gle!61HxJov&N0_H_G0{Ji=?&hC38(Jcpjc8{m*7YfTSRltklc
zesT+7)SWI|lD4+4edi#?s}#u}AOgk4eGL2u_2(YZ?t<yD@9ZFD`;*R<k#XDxZVCOt
zqBmrH<Yt~L5kXRf+zfgh;}%|W8wmO#_fyUFF#AB@+cIL2;EYxgAL<=L`0;lqYu3wH
z#>qWE6?bPiVGDIG-sY)sDW4p98t=Ljj~vK5mlrK`!k)n?m*kWAz^t(1`bVQ{1z5<J
zD5Ug_O&E$e)JeDWjEl{&cDF+NYDPV7yQFEZ;1yQilXG))qRW8RiLjXO6)`J>#HyU(
zLZW)8=>u=}Nv2*T@N%6`i%2w_7}S<`XN|N3vX_2Fb%<_%HJlt*OR?9eiC2P?d=RIM
zY*v<a^@nb1sjb8|#Z2(IG{4Y+4mB%RMa`n1iURbA*Idh7!&>;#T4Kv;b?ji!%}Sk$
z;;M!@hF|X3mr%UpKrPW{phW8@AAjSz&sn|o&1>J2%3TA4tSPH(7h&k>_j`bWx1t)P
zmZ-Qj58hqJeY+5ClVUh--7uJvw;sqHc4gwg^AY;|1ZUlcSvS7s%p~g2u!^PRIyRF2
zAFT3cJ9evJ?;J07kgqP%dklNH2AfeN2O~LlRFnX{5^(}lqLZO0uEpcp7Bdyc@yB=B
zIut&hjwRtV3Ws!CCu?`?kA_18W5376CvDo5)C#oS{rQkQZbfb#Iy({jq=1pa30ryY
z!ZT#UZl?~8v$s*SpN$g`Ng*MgF6p(A=R3;E3nsTU%d`sEx>jGJ1-qV=Hs~aO6~#e+
zo+Y&f{wW93yDE?IOel0qC~PRLou3CWeQn^DV>*qDo55b4rTQQ0x4T1wUpzhc(Iler
zi{5!GAMpZ3$;`6j7BBEd&<yI~Kdvp*44uVjMV1RdbIKx)U+pD&PX-NMa-l6F3aD*@
zuWTB_h@qW{-giw2nNxd!BA(IQ9^ll4yCEcTs%S_X6yI{IY$t#Gke*bS8+HeXA5x2A
zS*O64J7v3O#{6}bNBdqk2CGed5K#62ezv`zE674KPI{!w2ViT@z#0i%OA{M;<u5;O
zpX<-ztd_hUYHbe6Gb1HK{K;PsTNWpq-qX8Y1R>gdh)eS&cGh;OP9<2-J?ZeufpR~g
z1&cks)6(Z)csluc%sAHoBZdS0SCO0fM|k^xqW=s5GvFjg&GhmM!0!dSsSA$s;)~~=
w{XJRYslQ03{C=i=>&CHY=hGysYl$+YLo$^R@KnHG{+{)3@~_x|)V-nq1iQc2LI3~&

literal 0
HcmV?d00001

diff --git a/tests/assets/images/simple-270.jpg b/tests/assets/images/simple-270.jpg
new file mode 100644
index 0000000000000000000000000000000000000000..e89c9c1b4505e8c66ad9028cfbe322825538fac5
GIT binary patch
literal 5937
zcmeHKX*AngyN@a@I+<G4(>kZdCdHvOPq$T^NJAqDHMfcuC4^8E?`f+o8Y-rmPZ2}X
zP^m~O!Z}q{bDJ1iQ)&oe4nYjzP2cmbd+!JL!~Om~|F!n|t-YV|_kY%U_TK%v`yFu1
z)*5UL5E0o2P!)cF-BEy-)jdC7000UF0098NL4cTu3_w(fM1&Y1q6iTC7X|=qMNa)U
zb`a6{w~kPApX|S}h*0xy5qcKd1AasRi0lpmECHhXe#nniR4Dt!_y3TC;^JcB5(gzE
zB@RkRNFF+RNK)#El!U}#>BC2k9y=y|O!AP7tjsZ4AwKrQiO3I2(ftR7hR38Nq=dWw
zPucwwAbn8ezW_C&BGQ0;(jubLBD)^|r-i8s(-Qfg^Z^GB?h_XklMvZ2Jic%YAR@Y7
zWWO-_KCvHU2us>0x?fEEfb>Bb*<a)&bS}xCRn~<moK(I1`^~h>FHE7)Ns+(hU+RA^
zqWeVliwTcRgrWEC6A|6FUsO!&;18yS{-i~Jk=d_vNfst{_GXBjZmRNShu>d{U%*v=
zkw30t3HL%jWQ=lm2LOjeg}F+LN&_qat5^S*^Z&pD@>iCaZ`w^?VH4IvvmV)RsArx3
z_0q&A2Be)~qR@tVhJ3T4I>KBOIArat#I4=i1q|dLc($|)kl6(|ESAhza2mfncXD$r
zQ)LLWeWSIVS>+XEhy{lw>C_?*ab>?{TB_?bX3}1;qoVEIR`|wsUActV<U`zvt&k8D
z3(TTY156G%|7ro(0wr=)fpJlOy8wheH<}HLv|3*`Ya`m^wtfoR>qm(f)?&g>)%^;}
ztof?{Er7e#@?;X;3|BQN9Lr9#`H)KV7*W9{ao`1pTfp>Yy<~s8bAmJd)4q0ov0Xvh
zBWC@)xS-}p6oXYPZyz<u*#+R-EVj-xw*0mDxn)Obr&YbbQs7}fF}@4<@W6O-TC}wD
z5@RHwTCYGVw6s;zqICP*ajq*O;a??k&298pEy~P+sHwug@ENOxubUp276$2TQ0TF_
zo7Xcvie;vHFc;EKVARi8Ko~27G1EN4#np{nK-v`Yxb=<cy$ZZC>=;y07s1)m8M;_o
z>js>Y3&Ec@P3Q<B6x`!{cb5LC_d3J*#Z(c{=z4!}{gRDwtA^p&!s^<3OaWs63Xj5s
zS3F_D?KQb8?mH~Vd~_vmCebJ3d%piI*LK?*-z=OX+T4=vHa$l;)jnWKk!t-DB@fOx
zDExu6M%WB3DiVrMJSL_MrqA-7-jCxnH_25U0zXhJ7m<$S6QX)t7#1@8htF~zYmh>c
zT29!m;Z*}`DSi!R3qE9yEZQeG%iZ(muROWn$?M{9^k2(h4cSB>EnezHN_m;p`gpWA
zHl{c(BJS{&?~@AN?+Z-Rrl5GOE=ZF<&VHn3Yli=7lJ`bs^vJoAp_oE)_<VGvdnK~9
z3%b+%O!?<M`{8U?xt_U6eVEp5;xcXJZulVmop;Qa#eiEcaryJ*iIFB5(zm>yS9e<>
z*jO}rBob<)|I^Xl8PEe-qa=+)s+?`c`w^|xQ?!sx2PQEPRt(KtkPj*&eL1`;g<sci
zsbrWCT^C*{cE<HP4yF;vpm<;%%T=`tmy_Rnk-N<Ql5E{JN$E!HSO-tVbeqH-*}jkk
z@98>*|LAwAmOdDy10}dXO)wvd-O)30zlMFuqXwgM#soNUYu{E4ud=s?##F=BOl#hG
zOHqTs)7()8z`V!1fag8SxRD@?ZIUKDcW45oc{lKimFK`m0x_==Jv_l#wzhb*GY?Ge
z$&c~IP3+LOU5h1+((zg^5rcsxIp8goEvIjwVNj8a;hnvD3?M%{Bl2J}SH0vk_G!Ru
zAoTqP(gp$(Q`N1?DFQ})RWC3cC>U9{lzaNj4mnfaW91Z#IwRK8c`Fb!A43X^p(1!`
zr30=yri-QaXSpNvg4{t{T+mJ?4rM1&LidWhHvi`F=<)NX&QkBV`vk-=1eU?YxMBOS
zdNb_f<i2X_$u<0i$h1tO4i6QtBE9QVa3yHpSli~})9=AKlrz!qEIQS4D}Xh*DH@HP
z6>qZ(Vl%JDiGB8cHVT~J)@I3nQ*SmDkkrc*(>1Ra+Sf;`H0#;jO73^n&fIo*c!TBj
zXGPU9$RX}HSlJw?tbQf?mD5JAX?e<8V=^Ps_%^e%wdrAD$9MpAoq<Xj?4Ddfh0K^?
zS_;jTv^6iz4nQ2%Y6g(aW)5#A5AR9dzN53Q!E8m@((~g1H?QI`%boUMd09g7vW;AZ
z-g9^)vhg-Z1`~C56X}1ps7%Ag+{ow2!FKG%as$g#Vu8k-gUh{?D8uQ~X)#rtn3-G`
zs2Ry1YT<Bul6PHyDM>x#wMT7%lcj3Rh~Qoc+QBuDmrCsnE-!tUkpT3u(Y08MpmbQV
zT`E3}ZTng!9dY^z<~UW+MY94WKFSqLjWNg4(=!oV-dA?6nqeCnqrg&l7m1n-1#6P1
zjth2Lx<gSm!;#_Bf0EVaAkexezy3*XFOYpss&-%U4=B&;;#AOjJyPG1-)z41n20E`
zJ3Rh~>!z*+HiNuLzpr1RvhC1U<<uOYQr%UStaY5!yfeFIH(a$mkFK-}(b#*=D%O7a
zxOA1~F=06Qx%7`*X;N)hJHx5%Ig^~KKvYRdMVh)lP2{D@%P01rfgl+C+Kkd~0`D2p
z8r`usl2TeRK)Kpc7uOuy3_{hChPNpZH5^hzaW_<|$AC#Jy+1bU`fwupxFEP5PQqtH
zM_6!oImgYQeoZ}-Ek#}#D!`3iT~$6npp*R0`OcInSeEb++$LqTn}geM5G2z^jkuy|
zK9uH%q^m4b`|n#D=~@>%q`e(v1X^NSIr;-}?;IC+Ve5&UZIpXU2t)qbkj_wPZSmQd
zUdpl)B#c-QaRJc@1Ldob2^2+k6fvz@u|9k$Ck1(gEM1^c-V6lWV3C}%8Ya^|;LW@(
zO5Cmho$Nc5TRR-NHV(5Tyu}}{r46PX`Ny8^=2%#9SR9O=F22nid)*IlX_Ev`1S-B$
z;fM6YTOEmmiyzbHvOW28Hbt8gbHQ4rkW-0S>G=_^?%T5v8pgFa<-%VprTtjX{CiwF
zwWM;@8`@(Xil^vrPcNDTPIi0sWwtwdY$~?h>mRkbq?wax?5U_Dk4#y<f*n0kFtIbS
zSxE+)mz~X+wbj~5igzIaONwX=mmAZ{4VjYWK?7rg!L+c&VQNtABKia~aoG8IK?m9x
zqUw`-v|a!7<}To&E5Uh;|CYCyGOlZAgm|DAs)p7vv|4Z~)8L_5T0gxg>o&bNQP`=6
z=qVt$fa`1t{feykPZLS?*RnL4*mi?<^eRk5gxx}KW=-}Vds5^Vouv8cbznqzD;FB!
zo<GEqIo^~4v;8_*c{fehpxBM)xYTFXjX<pR0mY6KE5kT$h;1WCA~d?ag*j{Oy@@%&
zCyq`%i)>uluz#~DZ=f@C+uuF#S=}V->UPc)IHgJR%8|;L(=J~=U;_%O^=^db5K^g3
z*^D_9e)OpI!8pIV+vmboKIYMux>q0@Hi3&^wYBLLpItyiRJ>R|w0w=ttV`UY!dw;y
zvOd4g2QKDxmFQhHv2~BrSGRI?RyqDv<!zHoMp(x!i~OntX~hDoOjWNUqssW{@}%jd
z?~&|NGe4nrzM%zyYK33;WfSY(PwW#mV+^!F{Ng5_<2({>*Ld0M{Ea=yIejEF`<CL0
zY~7Sm{@5vGatlN?Fvh!{=oO#Pp7qGe2`ES<S%qf66cY(gA^O+9Kg??spunKzL2xu(
zuK97~Wc9df9GlI0lsPzu3!F}<i<<>mt%9Q7jYlyA!LAf?28d-9@&^v*T;4m~ohD<l
zIldU`LMZs+HUcwwo`?2*mL8QS`(dKelu@CLX>N_Ftit#i&vD0Lp-q`aGGTmb*&GwR
z3xGxv6H;uhcabUIvwd%uuiT#ay6~Y(+d0gEBvn3Wb$&&~0Y*Mi?9umO2IC*0M`-AO
zWM$cF%AHXgd{&$qi&4vaw-J<CWtU&K@Xf-~04krPQZ$y;+Ok}3hChy1VNl;PXowu|
z<>2po(gcd=@oEkF6s7ack(SR6Of^qVzB6g-)DzKT<!P^SZ0$mpdZweU){gwiiA7JS
z!;72ev*ms{pueR-j96RFibOV?W1y^k`OR&Nsxg1iY7}(Mkr9+ZB)??4hfdE?%VYBm
zkZ1H_TSl8mkz)Ec?GGp3Hpc=<9m$!gRkvg(norwgQDD;2CukIUo4>nK%Z1DK<<l#6
z*TNeR8wM4&24*e`>}CoCWqr#cK8!KWST!6gCAKjJ9Kg{t#jWSujlcPu7p&FCZ!UVx
zMR#35zy3TY$c^iK6&9gUujhA{c-`SZ`w7r^XuUnco=l~5A_H=W9dC8Rwr}RbO9p6T
ztOY70U^5&8g1mU+)sf2?2)1YA2)K2`NPSRk0U@`hB=H}65hrRpGzgJlM794iklnFt
z<I{5PI3WyM&QXg)>uX$3dJmdN?ZB235{7tem>I4UcfGhvk`>=*yp*pUfykhibXpz?
zZD;0!BkS<4^mPKm6$QEbO24wmnA>)K>Gs<xt8hbZPI;`4UR|R`@~Qfs_W8tDXm#v@
zf6<yz-Y$SSAn$pIpMy^$G)e3NL?2r-ch0z_!#8V*>*?<J$t>g&(cer9+{9<b>n#-9
zp+<^Zo&3xfn!*<8A<0F0B>ndvrvo%``h@7fzHSd}pik+jD9sn2U*1UJY`HzH2a>Ig
zVDurC;QGNQup<|eN~vYMAe~009dqDzl}bn{{;~fx98`~Ofe9*XVATa)9Ll-=VlSQm
zXM+g5;?1X@PbTL-m>CRoyaZNiB1G_X2@>NKzpL=r+*hxwt48IA6Bo>uoQ{^wXuI$?
zDraX`D_8xuTxjYU6EKt#hAw<O2ru=-I*k3D4?!ltK$K;0rw;AvNm^i+%OFNRy5Ug9
zynor<P@>zUm9lW6x=iU*UGZT1uT1gq*eG;PnhU!wmNDeTT(>n2&nU?)t4K!W-PCB|
zd!A5TplE4snS;$2v5W-cpPN*gmfRMi`+SmF<hhiaEbVWP6a<$$EpOAirnlGDj9B#J
zYWi9eaSJwP@C-Zoh;}JKf%-Ya8HbP%w(4;6#RgAblKEx>D8aiSG(}$Xqrpi%B}qHY
zN)G|iww|W2_q5w5KdZG))fveNO{z_N`L=hG%eZu!Y!V3UK`MI_9viU^-AN=W-?-o9
zUj!_o$jhc1ZaQOFOWdq89+4VrgKqgqqLc6~Ddq5z|AH4s&8eaH_Hy*;SrKuX+PQ4<
z*^<rs-byD6i5Oy|e}Lgmq*tq>#>g(9jgpw`SX2di|1NeHfHC18{YQ)E189s7YST)4
z8gm~q4%xYXVy7f)c>@c1S&(+YEaLT>S6iU3G;3_FW?Cxzvx`<nrH?rD3jdUxlS}zf
z&xTApJ9N8((-ohz!*~~Eo^sg2+H`gThr6#lW?a`x2wSg77@w`n+pd0<6yE@eH_+D9
z@6{S8rDxxF-Z+bmx!RS#M-wSnEQREGL#uT=Xx{!qj3oShmSUPQ*{$zm8(}KaPebeC
z%6m#Wv+Nc>_4PZ>d&<4g0ixj3Sh5zG+pbbw!fCbfr{Yy9<2ZZIjM~JBhGeqgxfy<i
zCW{V+uRu%dtHif{x6Fc%>L1h>bC-97ovuvHs+e}EfT~7a=_wEUt-SZQK138X-D(uh
zh)Mh?rPO-TNR=3tTct%owYk_=o5z-Qw_q1&z5Io(7}jw9#vgkW0RS8^id=oqT?drE
zE3?ja)XADOQNFtBlRgt|4htc)l1~LxjJ=}j)?TqeASu4l4q6Mnp&5~*($eyZeH6W(
zTYS6g=LJDVWeUuD%k_Tv1>B&g(-hdX-m9H!isnT*NvH{1-PUnieOMr`O`_d)-BGN|
zaJ}fPwDFvk$ux!aSi03pDy68PgR6xXzO{Fi3n-~>skV@H%XU+XZyknNu(ZBwOlnVC
zLw-N*b2s-Jd)xG8Le~skKAbjFWy=e~xErjBVwgHNQZc!yv|qxZr@7hp^<QM0kXWac
z1!l_02>*{&lO8*4_B|`B%hjA%=}e%Gvxj=)VhOvQmG7xIuXHrP?_`YUhia-?^=4t#
zy>a9&0ISz(G37!TdIMW|Psp)`Wi$6;PsF3)4+Skha@3`-UmrKr_6%ufAi^le9N@qW
z!r3y?gUE4g#r$HJ&TmgYussOaE650O?sxaAefo@s{(-*!L5w}vI1v9vwrkUSS^M<t
zHx9j~LT!=br^frP2<cN_Ju+w*B<=MV85ADh=SUsa?lF)w((GA>G=2SgXFfnK2;~nq
z$Tqr_*F0toR7NIaba=x-=c_9D$p<8euqj&FHp8zDM+CoJPTC&GO~{_&_&iy17r)ab
zQ)z$7FT@>pAD%M6hzhB=+|$b2Y9U{RBPI>!G2{(YvxffRweylW-2Jb+&s@Y^7%S2Z
z1Lriy<-^;a?g9e%^Xh4(F{VR#hDO_6`ZcT=HNK#J2c^G$rnuiNa%FURnQ2Eap=bv{
x@ow;5kok?zd$yjrhG920z_mL7X5``Yd$=4T`lRSyH1BErpUwY+0j1q<{{+gq-aP;S

literal 0
HcmV?d00001

diff --git a/tests/assets/images/simple-90.jpg b/tests/assets/images/simple-90.jpg
new file mode 100644
index 0000000000000000000000000000000000000000..d8863dbc861f86dd9417b01ea9227e605239db63
GIT binary patch
literal 5107
zcmd^>cT`j9w!jZnL>-NY6a}w<C?H}8Ez)L2ib@*@O(HNR(g_F=q$SSi9VZ}VP$?ml
zD@dq;0TPftGo%QD83+Uk?Lwp_0!D-oT3(zt>%F)1ulMI$Z=bdH+UI<G?{EM1UgvyA
z{6_q5;K((Hs}6valr(TgaslEQ0AZgH77PF`E`UA&01AMd)KNf2Vo3q=5~U8v{bd8d
zHK`N-WqU}S``bt2DXsLkEhX{%PmyGn!~>sp0Hnm@z-2&2`jdRpG7^!Mm;EFP^73->
z`xO)w_bcq*uXynALB#`K9oWDB5a`fXhmRZq9Z@`ZRO#puC5e6HQxd69kutIhlE5Pe
z_8*Wu{a=dsHvps{^)*12kpcnIASoG;l$Z*fl$0td>%Xf9fPD(``=w>&KCPM^0i<MP
zrKMz~W#kk-^+iG?Eh8%@zfS>lRO#4hWi4&6@&4oAxZhM!gM91dll>%jkR^#zmHJEm
z3iw;eNK45|R?I<?{iI~2q~)Y#_Q`x|uOuT#M)v4wu+}$nO2^!98fR;J#K<e_d<#ST
z=z0Hf!|#JbGhz;KP*S7B5d_!*oc#Zp`2Ux^PrkEmmG-jJ$Z2#<wFey9l8Qd`MF(Wy
z=5_8tNspr(`33wsr<mzP?_{sAQMR6jyZ)|bc>^uHvMl=1Qdy*XugSE+ND?I@$IDCE
zT6v1ifwYedXQ~GjTcp#<=z0vZIfxo>qU=RK2kNxAx`qrZuYeA($8Iya;vh;V5n#1u
zy(ulN7P?Cv`Gep@Zh?8gO}MsJxA!}O@~)YQ`GE)32vY9jjI;Ou{fo8NFmJ2Gi<DHo
zOG1PCYP7mRozv6T?sb@kco^9f!-~x^=k=nR(nP80{YgYyH_h>g#)YEdoG_CtPd3=B
zcKsyRj2gRQF$;~uXA%INe|?S(@*d+@9+nv}U4i}_Mj(bnzN&lmO>(>Y@RmE0ytoNp
z366fy!Kpf*$#35I_U$U=a*1tN`Qn7jESuL6W|mqabjIcjCbol9ys!K@!P_Dy2<qeK
zLQ@&rh+v3KN=S!;W#8$6M5UJm8%$gU`L^bEw*9RaBj0gW-*pW(gf9`a-}K>j%6#Z!
zYQnhbKWxjjQEu<Vz(9t7!ib2%2e%Lqn9Xr(1_#-1u5PPV1Z532m%M68DDq9;ZMq>6
z6mBLM$08p$O!?=wZ$#ZPNC-OB0DllY?BuhYvg`JZ&XpV<)2RJ-m3pJ%cFXm^F)=_`
zR~uabrSF=qWwqpD^SJkn-o_4b3%Lsp5U#~*h{(+<ewzK2{r8kaOrB=P8-qw;QY}^(
z)c#w8*Z2j`DFZ{RRFQt^724)bN1Lakc0n=8ckttQH1-bJj>=U^-KK{qi2;bP&r{S;
z5WzMGEp*j2JS709GZsLSp7`p1F#$l!`QgILm!iYzeu9o<^*mQ*7=BESo~Xk6WdcOe
zBp{+IakXBkvm%w55Aogm+1ls|w|~POSYfM$E(wfTB(y|xa8;Fe9%F9A-Fb(sQ(Y4=
z)waceNrFK58ti=H@E^zD=Vw~mhrxF_rQ3Hl8a9*L|G8&FaS{WCS?{AGc9Jfu`*{s9
zPYR(c!6~~<5ZsP~mi4nvm#ZW6m|<ikZdU-p?=aEATS1?HLZp5|4Ls1T8Ev_-aUSxI
zR~iu?FOhxqtOqb|HI`aC=eFI9PQeDIZ4V*yHcviU3=_5v&$uPKwTugkaV$3bBZ_~#
zV>7kTaW!?r-NphvYSwZu{8R@=J27~Ve=C4zxYzfZ$9y(uIrx#}k!brq=)uZ|RGSm?
zMc5z;_VoK!#_&pwvttDd)Yrx4t1+k0wuwl$nUW)!fi7j&R}w>Dsx2K3h@@?2gzbJu
zg-J_R_Q?{qFfzjR-DFJtMULfLJghO){~NiP@G9TFE4znT2DA9|WUQCF=K8j~N*_dE
znA6=8X=)Q~Gy=Xti<xlK!{_&}<ETu|$Rp<{?1}aYfsjJd?XFNSB%+6@RJ*v<sfhdy
zvXA-Ki=V${fFhHY(!5M~H^BAJ;QG>yetd&|m1)CKRF^~1mwx$u$&kL}Wo-Gohdmlp
znc)Mq^`KlA&Lf?iHj_*Xu~ifj1QNF9N97<WS)q)1FupcccPo3%6vY!L<7&MPG<Aaw
zj#Cz<f@3tT1CZl=cjXg*h#lQGJUR-$U=hqFPadcK%4*GFw-+_aGrxOc?LTwI>X-KB
zYOPM4yZ+kn@fw$FoZRxI)N~h=+Nw=ND8Vge-q5!esa(K8htkONP4FQWwBN5O-H{Uk
zR$HaA$M!;7M6jiwzTlLCHFX)Fc3>g5w%yX&hw=b|MI|c!a+W^|?9Hh*$gUh6p-#1@
zUBBdWrAxm)Imc`APO63>eLJkLAn6X9h41(A7_C<;fgG>bE8Oh_gFqTopGN@%4XQVX
zlRG$!W9Zw5Jar_q-_#*(lDB7dQD&=Q*z*hQN!q@DKu@%eH=yDEvdt6N;>;h(-s9)d
z=2g!h>ef#hjL*~Vxh&V;eGE<U>KtZIt*pYM^!zWuXnN+7p+X=QcqV5sYWA#60Tu1E
z82_=zx^ux}V=Y-Q2iBn4IUsCAwTuos2b38($o~sy`O-v<`?k^HHXa`WFZLQcJ-k^T
z@9&_N!RopF_|l1>>ddyZV-B#U=gWx7oPe75b<rhP=8}sNH#4`t9WK(Kk;#0}$p|Y1
z%Q~1f(cj;XRMJ?VOkitQG;nyaByvPm6%<dVqa>|}!_g4B5U_Rff^k8NiyU!t@-;^L
z!mo9;U4CZP55>T{o0VNop1FMmerND43UAjui=j(%DOXQCp{ca0&w1L}@lyOumdm;)
z!lzpKg(7kysVoDj%$tJRH{cl_brn79M5BfwRxP&+tTeobPsJ0wQ|O2ZRKSac=AJ9(
zzW`TUDyueO&v&nKUSV5;+S=+3Ykpg^2(QtwjE-z!m0N~u?8AZ_b<o$S4ix3Z5g&uR
z4|F2S)uf>!!nLSrbcqzbhdmj>OeF*x7P@K^%i>;$vi+0TM$X7eg3H-9mnL6)mK7q=
zTf4F_=*?itDekJqhpocZ0OZ}nq=9QZ1^qf7y$FrV&U5y6E^3bw&-TE&^ENk%{h=?r
zk{0>l0WFge(?02lj?FDhrv)hnhsW(WGdf6?Y2LZ4KZoiH{m@a+^?TRxCD`32uo5&s
z-50`M`{8p;>5Rxa-GG?R-X~GL&{6-o3$5f24Sr;@N$8f@mAd=*8zSEv%?HZa&5os=
zs>7~>HisfVc3CF}#2+iKSp}7wWl=en^+q<e!NI}kiSqV|lmpi&#4Qxuv4j7<ct`MY
z-T*Rvl3Tg0v+KriVf_$E2(ZsbpEVp<Jf~)rV=?*1eTC8*<m_WzC~veTTUAI|tSqU@
zxNPesK!x8+%`nQdb{@TE09^we&pK7o(|vX($%p$)J-aHM3im^)3h=dznB~o!T*c3^
z0GaP5o>0N4pQ}Zf7iLJE7t1FNzGopf9K8GHuLd#TF{NquujuW8vY7`dr*M^3`dY0j
z6m-#mZ`aD5brJIwF~W~lk?wb?gKOQ-%r7n-%g5#O+mdoPwB`oiNAMAd>AJHkI5l4Y
z%3@8c;mG|lH#9oqT6(taEX06Q>PTr|c+3Pb??RAzO*vd2rb9kdBUr7p=IWrWx~$!J
zm9QML3Ad<0y~xg4l)q|PyIEpWDVbn?Kh@bTB6Px;U9{7+pvJdGurx895C{mOgu|y2
zZr}Xw3sBEPG@^x1AHVsxUgO2;n=c}M!c-XcE;qVGr=5j4@||QUnl?YdsyOsoT&2*S
z1xmpVpCvW0AKf003UTFh1dotvz_zc<AK9^O>tSp|Fdf`!y^IYs#He=OnNJufdy$_y
z$4I9WElVQd5YyMez7;Z!d!WGumB_%$Z;T_NZYKW=6KNjVRUDXnuf^E4kau-1R(KRj
zilq-DTGif??h@yM79vpaz&O;qmHI#zA_`)%N@XZI7B{8l7uxj)HyDey+AiH0hlhRS
zc&}s+d$ZEldE|Z?+9I8;4bcoSuk88y3+iXB(?>)`usdS~A=0lJ(ljo&qV*d2yS%Fv
zL3<ON3i~q{9p?~t>nz_BC)|_mGhRoGR#;X#2m>8*hlrVRXTko?424=TV5*zwObx!o
zOPO!YJYLj1?!C_LsxQ^<v<ha03g~aBc1(;=HQi27f(Hj}UDj#)@U!F(FVi%#iN6d*
zc0t&g&oUz3lFCrWOpd@zt@5*t&1`#<LLPO%%3bq7%70Q!?kqtW@g=HRnpJqoIaf$!
zbYFl$E)E2@4Pu-EtkyvbHX<C36anHYL5g2c;~V!?UHpPIB6z*;e7%Ru%U!g8TyK=+
zsy;KEbZLvGU4167Y`EEi<aG=sz?h)Ypt^(^^?L7y#_H<Qiqdw@xWnC~w(K4!76X(|
zPM}%LPY{vT@TYgx2#$IfjlD>e33=gCaa~}7@HG*EOn1;Wqghhzyf=F(?BW3JSe667
z-{96QAKv5>L^qNCaOQTLvsdGg`}6lVj_#{&D++}1DD_@}lsW{|>z2=~dHeQ~oA6;R
z&whc`ho%os&<xozfnYE`%agIh9Y@9ASZf+0>1Oi^=(;1tWre|SGW{7R9WOM2S>MY(
z{eoIf@$Ef}_~WPje}!NS%LMPTR9JV<)vCz{V(^3Y!*jV7XUfVlD#w%&kK-Hd9rZDj
z>$4>Ew84yDaskHSCyHqUo|53Lr^+7%C*n&~ajCWI;FW$RHO@>ZQeS7WUR!XC!pL-p
z6=DRpL1n@~`S{|}p1JmGBR|JhNRRr|Do#9!jEr4y3+kN}VD7fIwCabSI}?2$`gH0E
z!Qe)g=XDz^rFAu8CTF9WQj_6}qgALD^zY@<L!P>!3w<<oLx`lB7ipuehDA{PKr%08
zs{#T_&2mQQj;-Nb=s$eUYmsPLo#AEYwbNZS0XD<srxwqVqP!L}9d2F{14-f5AvOB(
z^2)7^32SMVIc?=7?u|E|*Oph3DvC><UoVXvqG<WDnk#rd)%5{ar^8THNh|zNvTH>6
z5DIR$4OfC(t)D_5#+d#zObofJlaHbB(-9+-(k7+p>L!avc1&`=^SyCGKZo;sH&mtf
zyyd;+0oVl+EiOooeK3{@ztKl1>g$?OX(_(m;fH&9^q6b5d)*pRS$P@V5r&z6IKNJ$
z8~p(>qb!-=OXkuBnpAn{)GTl@H+`vjWPE9$CAYr65J4vUQL+*Vj*@}!SJSwoF^_aV
z?}MEFeAhVjW1e0DtpPnw^Xfj)jNM8Woql+|o7w`qtP<mpwy>vD>-Nup_SH?j#qmIo
zu|G3hm0Jp58(6GB#6UA<sH<=a@sUNCva+*tX<tj{jx(`p`-J7Udv<AU_qcZt@0~4M
z4BP7}*$do*GB9G`YR$Hf7--TTNm=KbEiq9^tbpJa#hv?W{NziCkvYGZ?maca@Am41
zQkSx=v0j$^=OPck_G@7t(dy)uSwsBpugl20C9}(`SGM~dw6|tiyH@9~zxDi_Oi>KH
zSpVuKA@=92Z8KIFv5IlgXsWy3>HHw&&+YL$w^<4FxerfT)hoNsb=ektOkA(=51a`P
z`%o)-t*fm;M}%xp-LSWt^N3AVa6!I6V;;RhMb@YEV~q><vce>%PPrI(*1dIlceFta
zIFxKM#K2d(0o+|D?1ydT=1G|$-*bB0B&=&B%HD1BvR~j~PAJFJgj{nyE1}j-3@pwG
Z)j8R8AwG+LVP@Ix^XmW4-%E+d{sY+Nd9eTh

literal 0
HcmV?d00001

diff --git a/tests/recognize.test.js b/tests/recognize.test.js
index ca7ece4e..41a6f23b 100644
--- a/tests/recognize.test.js
+++ b/tests/recognize.test.js
@@ -30,6 +30,20 @@ describe('recognize()', () => {
     ));
   });
 
+  describe('should support orientation metadata', () => {
+    [
+      { name: 'simple-90.jpg', desc: 'simple', ans: SIMPLE_TEXT },
+      { name: 'simple-180.jpg', desc: 'simple', ans: SIMPLE_TEXT },
+      { name: 'simple-270.jpg', desc: 'simple', ans: SIMPLE_TEXT },
+    ].forEach(({ name, desc, ans }) => (
+      it(`recongize ${desc} image`, async () => {
+        await worker.initialize('eng');
+        const { data: { text } } = await worker.recognize(`${IMAGE_PATH}/${name}`);
+        expect(text).to.be(ans);
+      }).timeout(TIMEOUT)
+    ));
+  });
+
   describe('should recognize base64 image (simplified interface)', () => {
     [
       { format: 'png', image: SIMPLE_PNG_BASE64, ans: SIMPLE_TEXT },

From b7411f4d7e48a3f9bd0be6633dcb4d1c5e380490 Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Tue, 20 Jun 2023 22:08:36 -0700
Subject: [PATCH 7/7] 4.1.1

---
 package-lock.json | 4 ++--
 package.json      | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index 2a721cff..a29adcfa 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -1,12 +1,12 @@
 {
   "name": "tesseract.js",
-  "version": "4.1.0",
+  "version": "4.1.1",
   "lockfileVersion": 2,
   "requires": true,
   "packages": {
     "": {
       "name": "tesseract.js",
-      "version": "4.1.0",
+      "version": "4.1.1",
       "hasInstallScript": true,
       "license": "Apache-2.0",
       "dependencies": {
diff --git a/package.json b/package.json
index d24ec80c..f15fb84f 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
   "name": "tesseract.js",
-  "version": "4.1.0",
+  "version": "4.1.1",
   "description": "Pure Javascript Multilingual OCR",
   "main": "src/index.js",
   "types": "src/index.d.ts",
